# frozen_string_literal: true

module Chotto
  Token = Struct.new(:conjuction, :field, :value, :messages) do
    def to_query
      conjuction_to_use = messages.next_token_id > 1 ? conjuction : ''
      return "#{conjuction_to_use} (#{value})" if field == :direct

      "#{conjuction_to_use} (#{field}:#{value})"
    end
  end
end
