# frozen_string_literal: true

module Chotto
  RuleSet = Struct.new(:name, :db, :only_new, :rule) do
    def messages
      Messages.new(db: db, only_new: only_new)
    end

    def run
      instance_eval(&rule)
    end
  end
end
